LibreOffice: Year Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
Year Service Reference

specifies an XSD compliant gYear type More...

`import"Year.idl";`

Inheritance diagram for Year:

## Exported Interfaces
interface | XDataType
| provides access to common data type functionality More...
Exported Interfaces inherited from XDataType
interface | com::sun::star::beans::XPropertySet
| provides generic access to the instance properties More...

## Public Attributes
short | MaxInclusiveInt
| specifies the inclusive upper bound for the value More...
short | MaxExclusiveInt
| specifies the exclusive upper bound for the value More...
short | MinInclusiveInt
| specifies the inclusive lower bound for the value More...
short | MinExclusiveInt
| specifies the exclusive lower bound for the value More...
Public Attributes inherited from XDataType
string | Name { set raises(com::sun::star::util::VetoException); }
| provides access to the name of the type More...
string | Pattern
| specifies the pattern which strings conforming to this type comply to More...
short | WhiteSpaceTreatment { set raises(com::sun::star::lang::IllegalArgumentException); }
| specifies how strings of this data type are to be processed, with respect to white spaces More...
boolean | IsBasic
| specifies whether the type is a basic type More...
short | TypeClass
| class of the type More...

## Additional Inherited Members
Public Member Functions inherited from XDataType
boolean | validate ([in] string value)
| TODO. More...
string | explainInvalid ([in] string value)
| TODO. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies an XSD compliant gYear type

## Exported Interfaces

## ◆ XDataType

interface XDataType

provides access to common data type functionality

## Member Data Documentation

## ◆ MaxExclusiveInt

short MaxExclusiveInt
| propertymaybevoid

specifies the exclusive upper bound for the value

See also
  http://www.w3.org/TR/xmlschema-2/#rf-maxExclusive

## ◆ MaxInclusiveInt

short MaxInclusiveInt
| propertymaybevoid

specifies the inclusive upper bound for the value

See also
  http://www.w3.org/TR/xmlschema-2/#rf-maxInclusive

## ◆ MinExclusiveInt

short MinExclusiveInt
| propertymaybevoid

specifies the exclusive lower bound for the value

See also
  http://www.w3.org/TR/xmlschema-2/#rf-minExclusive

## ◆ MinInclusiveInt

short MinInclusiveInt
| propertymaybevoid

specifies the inclusive lower bound for the value

See also
  http://www.w3.org/TR/xmlschema-2/#rf-minInclusive

The documentation for this service was generated from the following file:

- com/sun/star/xsd/Year.idl